### DB_SEQUENCE->set_range |

`

###

    #include <db.h>

    int
    DB_SEQUENCE->set_range(DB_SEQUENCE *seq, db_seq_t min, db_seq_t max);

    int
    DB_SEQUENCE->get_range(DB_SEQUENCE *seq, db_seq_t *minp, db_seq_t *maxp);

### Description: DB_SEQUENCE->set_range

Configure a sequence range. This call is only effective when the sequence is being created. The range is limited to a signed 64 bit integer.

The DB_SEQUENCE->set_range method may not be called after the DB_SEQUENCE->open method is called.

The DB_SEQUENCE->set_range method returns a non-zero error value on failure and 0 on success.

### Parameters

min
  Specifies the minimum value for the sequence.
max
  Specifies the maximum value for the sequence.

### Errors

The DB_SEQUENCE->set_range method may fail and return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Description: DB_SEQUENCE->get_range

The DB_SEQUENCE->get_range method returns the range of values in the sequence.

The DB_SEQUENCE->get_range method may be called at any time during the life of the application.

The DB_SEQUENCE->get_range method returns a non-zero error value on failure and 0 on success.

### Parameters

minp
  The DB_SEQUENCE->get_range method returns the minimum value in minp.
maxp
  The DB_SEQUENCE->get_range method returns the maximum value in maxp.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods`

Copyright (c) 1996-2006 Oracle Corporation - All rights reserved.